[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# argv

Pointer to the array of command-line arguments

## Declaration

Source position: sysunixh.inc line 60

`var argv: PPChar;`

## Description

argv contains a pointer to a nil-terminated array of null-terminated strings, containing the command-line arguments passed to the program by the OS. It is not available on all systems.

## See also

argc |  | Number of command-line arguments.
envp |  | Pointer to the array of environment variables

Documentation generated on: Feb 26 2014